You are not logged in.

#1 2013-06-01 19:49:23

jrbalu
Member
Registered: 2013-06-01
Posts: 6

[SOLVED]Pacstrap causing error "bad interpreter"

Hi,

I am not "extremely" new to Arch as I've installed Arch on a machine(not mine) a couple of years back. But I don't exactly remember the steps. I used Lubuntu in my machine(HP dm1z) for a long time and I can be considered as a newbie here. So I went through the Installation Guide and started installing. Intro over.

So the problem is when I try to install the base system using pacstrap:

pacstrap /mnt base

it gives me the error

zsh: /usr/bin/pacstrap: bad interpreter: /bin/bash: no such file or directory 

The installation media I use is a USB stick and I used Win32DiskImager to burn the image on to it. I tried the iso on vmplayer in my windows machine and was able to install it successfully.

What could be the issue?

Last edited by jrbalu (2013-06-02 03:56:39)


Fear creates fetters, freedom gives you wings. - Osho

Offline

#2 2013-06-01 19:53:39

WonderWoofy
Member
From: Los Gatos, CA
Registered: 2012-05-19
Posts: 8,412

Re: [SOLVED]Pacstrap causing error "bad interpreter"

You probably want to be using the beginners guide and not the installation guide.  The guide you found is more geared towards those who have a better idea of what they are doing, and serves as more of a simple reminder about what steps need to be covered.

Offline

#3 2013-06-01 20:04:08

jrbalu
Member
Registered: 2013-06-01
Posts: 6

Re: [SOLVED]Pacstrap causing error "bad interpreter"

I failed to mention it but I was checking the beginner's guide also. There seems to be not much help in the beginner's guide too, if the error I mentioned above occurs. I googled as vast as I can but failed to find a solution. sad


Fear creates fetters, freedom gives you wings. - Osho

Offline

#4 2013-06-01 20:17:26

karol
Archivist
Registered: 2009-05-06
Posts: 25,433

Re: [SOLVED]Pacstrap causing error "bad interpreter"

Are you using June or May iso?

Offline

#5 2013-06-01 20:20:48

jrbalu
Member
Registered: 2013-06-01
Posts: 6

Re: [SOLVED]Pacstrap causing error "bad interpreter"

its May iso.


Fear creates fetters, freedom gives you wings. - Osho

Offline

#6 2013-06-02 03:51:50

jrbalu
Member
Registered: 2013-06-01
Posts: 6

Re: [SOLVED]Pacstrap causing error "bad interpreter"

@karol, thanks a lot man. That was the issue. I downloaded the June iso and now everything works smile


Fear creates fetters, freedom gives you wings. - Osho

Offline

Board footer

Powered by FluxBB